{% extends 'base.html' %}

{% block app_content%}
    <h2>Search Results</h2>
    {% if current_user.partner_type == 'customer' %}
    <table class="table table-stripped table-hover">
        <thead class="thead-dark">
            <tr>
                <th>Complaint ID</th>
                <th>Category</th>
                <th>Vendor Name</th>
                <th>Vendor Phone</th>
                <th>Remarks</th>
                <th>Priority</th>
                <th>Date</th>
            </tr>
        </thead>
        {% for complaint in complaints_customer %}
        {% for user in user_details %}
        {% if user.category == complaint.category%}
        <tr>
            <td>{{ complaint.id }}</td>
            <td>{{ complaint.category }}</td>
            <td>{{ user.username }}</td>
            <td>{{ user.phone}}</td>
            <td>{{ complaint.remarks}}</td>
            <td>{{ complaint.priority }}</td>
            <td>{{ complaint.date}}</td>
        </tr>
        {% endif %}
        {% endfor %}
        {% endfor %}
    </table>
    {% endif%}

    {% if current_user.partner_type == 'vendor' %}
    <table class="table table-stripped table-hover">
        <thead class="thead-dark">
            <tr>
                <th>Complaint ID</th>
                <th>Category</th>
                <th>Customer Code</th>
                <th>Customer Name</th>
                <th>Customer Phone</th>
                <th>Remarks</th>
                <th>Priority</th>
                <th>Date</th>
            </tr>
        </thead>
        {% for complaint in complaints_vendor %}
        {% for user in user_details %}
        {% if user.id == complaint.user_id%}
        <tr>
            <td>{{ complaint.id }}</td>
            <td>{{ complaint.category }}</td>
            <td>{{ user.code}}</td>
            <td>{{ user.username }}</td>
            <td>{{ user.phone}}</td>
            <td>{{ complaint.remarks}}</td>
            <td>{{ complaint.priority }}</td>
            <td>{{ complaint.date}}</td>
        </tr>
        {% endif %}
        {% endfor %}
        {% endfor %}
    </table>
    {% endif%}
{% endblock%}

{% block footer%}
    <footer class="page-footer font-small bg-dark pt-3 fixed-bottom">
        <div class="footer-copyright text-center py-3 text-light" >© 2017 Copyright Bharat Petroleum Corporation Limited. All Rights Reserved
    </footer>
{% endblock%}